EJBGridDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.java
Class EJBGridDataLocator

    java.lang.Object
      org.openswing.swing.table.java.EJBGridDataLocator

All Implemented Interfaces:
  GridDataLocator, java.io.Serializable

public class EJBGridDataLocator
extends java.lang.Object
implements GridDataLocator

Title: OpenSwing Framework

Description: Class used to retrieve data for grid, by calling the EJB Session Bean on the server side.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary
`javax.naming.InitialContext` | `initialContext` initial context

Constructor Summary
`EJBGridDataLocator()`

Method Summary
`java.lang.String` | `getEjbName()`
`javax.naming.InitialContext` | `getInitialContext()`
`java.lang.String` | `getServerMethodName()`
`Response` | `loadData(int action, int startIndex, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.lang.Class valueObjectType, java.util.Map otherGridParams)` Method invoked by the grid to load a block or rows.
`void` | `setEjbName(java.lang.String ejbName)` Set the ejb remote interface name to call on the server side.
`void` | `setInitialContext(javax.naming.InitialContext initialContext)` Set the initial context.
`void` | `setServerMethodName(java.lang.String serverMethodName)` Set the method to call on the server side.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialContext

    public transient javax.naming.InitialContext initialContext

  initial context

Constructor Detail

### EJBGridDataLocator

    public EJBGridDataLocator()

Method Detail

### loadData

    public final Response loadData(int action,
                                   int startIndex,
                                   java.util.Map filteredColumns,
                                   java.util.ArrayList currentSortedColumns,
                                   java.util.ArrayList currentSortedVersusColumns,
                                   java.lang.Class valueObjectType,
                                   java.util.Map otherGridParams)

  Method invoked by the grid to load a block or rows.

  Specified by:
    `loadData` in interface `GridDataLocator`
  Parameters:
    `action` - fetching versus: PREVIOUS_BLOCK_ACTION, NEXT_BLOCK_ACTION or LAST_BLOCK_ACTION
    `filteredColumns` - filtered columns
    `currentSortedColumns` - sorted columns
    `currentSortedVersusColumns` - ordering versus of sorted columns
    `valueObjectType` - v.o. type
    `otherGridParams` - other grid parameters
  Returns:
    response from the server: an object of type VOListResponse if data loading was successfully completed, or an ErrorResponse onject if some error occours

### getServerMethodName

    public final java.lang.String getServerMethodName()

  Returns:
    method to call on the server side

### setServerMethodName

    public final void setServerMethodName(java.lang.String serverMethodName)

  Set the method to call on the server side.

  Parameters:
    `serverMethodName` - method to call on the server side

### getEjbName

    public final java.lang.String getEjbName()

  Returns:
    ejb remote interface to call on the server side

### setEjbName

    public final void setEjbName(java.lang.String ejbName)

  Set the ejb remote interface name to call on the server side.

  Parameters:
    `ejbName` - ejb remote interface name

### getInitialContext

    public final javax.naming.InitialContext getInitialContext()

  Returns:
    initial context

### setInitialContext

    public final void setInitialContext(javax.naming.InitialContext initialContext)

  Set the initial context.

  Parameters:
    `initialContext` - initial context

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD